<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class supports Domain TLD Registrars
 *
 * @package    OSB
 * @subpackage Host_TLD_Registrar
 * @category   Models
 * @author     Deon George
 * @copyright  (c) 2010 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Model_Domain_Registrar extends ORMOSB {
	/**
	 * The button that provides a login to the Registrar to manage the domain license
	 */
	public function manage_button($u,$p,$d) {
		$c = sprintf('Service_Domain_%s',$this->file);
		if (! class_exists($c))
			return '';

		$po = new $c($this->id);

		return $po->manage_button($u,$p,$d);
	}
}
?>
